Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

tty: add NO_COLOR and FORCE_COLOR support #26485

Closed
wants to merge 2 commits into from

Travis CI - Pull Request

Failure

ran Mar 8, 2019 in 20 minutes

8708e7e by @BridgeAR

Build Failed

The build failed, just like the previous build.

Details

This is a pull request build.

It is running a build against the merge commit, after merging #26485 tty: add NO_COLOR and FORCE_COLOR support.
Any changes that have been made to the master branch before the build ran are also included.

Jobs and Stages

This build has three jobs, running in parallel.

Job Node.js ENV State
13946.1 First commit message adheres to guidelines at https://goo.gl/p2fr5Q node passed
13946.2 Linter node \["NODE=$(which node)"\] passed
13946.3 Test Suite failed

Build Configuration

Build Option Setting
Language C++
Operating System Linux (Trusty)
Build Configuration
{
  "os": "linux",
  "dist": "trusty",
  "cache": "ccache",
  "group": "stable",
  "matrix": {
    "include": [
      {
        "if": "type = pull_request",
        "dist": "trusty",
        "name": "First commit message adheres to guidelines at <a href=\"https://goo.gl/p2fr5Q\">https://goo.gl/p2fr5Q</a>",
        "script": [
          "if [ \"${TRAVIS_PULL_REQUEST}\" != \"false\" ]; then bash -x tools/lint-pr-commit-message.sh ${TRAVIS_PULL_REQUEST}; fi"
        ],
        "node_js": "node",
        "language": "node_js"
      },
      {
        "env": [
          "NODE=$(which node)"
        ],
        "dist": "trusty",
        "name": "Linter",
        "script": [
          "make lint"
        ],
        "node_js": "node",
        "language": "node_js"
      },
      {
        "dist": "trusty",
        "name": "Test Suite",
        "addons": {
          "apt": {
            "sources": [
              "ubuntu-toolchain-r-test"
            ],
            "packages": [
              "g++-4.9"
            ]
          }
        },
        "script": [
          "PARALLEL_ARGS='--flaky-tests=skip' make -j1 test"
        ],
        "install": [
          "export CC='ccache gcc-4.9' CXX='ccache g++-4.9' JOBS=2",
          "./configure",
          "make -j2 V="
        ]
      }
    ]
  },
  ".result": "configured",
  "language": "cpp"
}
You can’t perform that action at this time.